import { environment } from '../../primo-explore-appointment-scheduler/src/environment';
import { AppointmentSchedulerHttpInterceptor, AppointmentSchedulerService } from '../../primo-explore-appointment-scheduler/src/appointment-scheduler.service';
import { formatDate, formatTime } from '../../primo-explore-appointment-scheduler/src/utils';
import AppointmentSchedulerComponent from '../../primo-explore-appointment-scheduler/src/appointment-scheduler.component';

AppointmentSchedulerController.$inject = [
  '$scope', 'primoStudioAppointmentSchedulerStudioConfig', 'AppointmentSchedulerOptions', 'AppointmentSchedulerService'
];

angular.module('appointmentScheduler', [])
.constant('AppointmentSchedulerOptions', environment)
.config(AppointmentSchedulerHttpInterceptor)
.factory('AppointmentSchedulerService', AppointmentSchedulerService)
.filter('formatDate', () => formatDate)
.filter('formatTime', () => formatTime)
.component('primoStudioAppointmentScheduler', AppointmentSchedulerComponent)
.name;

app.requires.push('appointmentScheduler');